Package Details: xdg-desktop-portal-liri-git r78.3c6e804-1

Git Clone URL: https://aur.archlinux.org/xdg-desktop-portal-liri-git.git (read-only, click to copy)
Package Base: xdg-desktop-portal-liri-git
Description: A backend implementation for xdg-desktop-portal for Liri
Upstream URL: https://liri.io
Licenses: GPL3
Conflicts: xdg-desktop-portal-liri
Provides: xdg-desktop-portal-impl, xdg-desktop-portal-liri
Replaces: xdg-desktop-portal-liri
Submitter: plfiorini
Maintainer: plfiorini (Terence, Aldrog)
Last Packager: plfiorini
Votes: 1
Popularity: 0.000000
First Submitted: 2018-06-13 06:13 (UTC)
Last Updated: 2022-04-05 20:32 (UTC)

Required by (5)

Sources (1)

Latest Comments

mpnordland commented on 2022-07-28 02:00 (UTC)

Currently, this package requires xdg-desktop-portal as a dependency, and provides xdg-desktop-portal-impl, which xdg-desktop-portal requires. The official packages that provide xdg-desktop-portal-impl specify xdg-desktop-portal as a make depends.

Given that, it seems xdg-desktop-portal should be moved to the make depends. It's not obvious why this circular dependency type thing exists and it's a bit confusing that I have to install a different xdg-desktop-portal implementation just to build this one.

plfiorini commented on 2020-03-14 11:06 (UTC)

Updated!

FredBezies commented on 2020-03-10 21:44 (UTC) (edited on 2020-03-10 21:55 (UTC) by FredBezies)

You need to add:

  1. qt5-gsettings-git
  2. qt5-accountsservice-git
  3. liri-wayland-git

Without them, build process will crash really soon.

plfiorini commented on 2019-05-31 16:05 (UTC)

To be precise it requires fluid-git which in turns depends on qt5-quickcontrols2. Anyway it's updated now.

SolarAquarion commented on 2019-05-31 12:15 (UTC)

it needs 'qt5-quickcontrols2'